import { expect } from 'chai';
import { parseMetadataSeries } from '../src/rules2/src/parseMetadataSeries';
import metadataMock from './mocks/large_metadata_series.json';

describe('metadata parsing performance tests', () => {
  it('20 metadata attributes in 20 series', function() {
    this.timeout(500);
    const dimensions = [
      {
        id: 'LOCATION',
        values: [
          { id: '0', __index: 0 },
          { id: '1', __index: 1 },
          { id: '2', __index: 2 },
          { id: '3', __index: 3 },
          { id: '4', __index: 4 },
          { id: '5', __index: 5 },
          { id: '6', __index: 6 },
          { id: '7', __index: 7 },
          { id: '8', __index: 8 },
          { id: '9', __index: 9 },
          { id: '10', __index: 10 },
          { id: '11', __index: 11 },
          { id: '12', __index: 12 },
          { id: '13', __index: 13 },
          { id: '14', __index: 14 },
          { id: '15', __index: 15 },
          { id: '16', __index: 16 },
          { id: '17', __index: 17 },
          { id: '18', __index: 18 },
          { id: '19', __index: 19 },
        ]
      },
      {
        id: 'TRANSACT',
      },
      {
        id: 'MEASURE',
      },
      {
        id: 'TIME_PERIOD',
      }
    ]
    const attributes = {
      METADATA_ATTR_0: { id: 'METADATA_ATTR_0' },
      METADATA_ATTR_1: { id: 'METADATA_ATTR_1' },
      METADATA_ATTR_2: { id: 'METADATA_ATTR_2' },
      METADATA_ATTR_3: { id: 'METADATA_ATTR_3' },
      METADATA_ATTR_4: { id: 'METADATA_ATTR_4' },
      METADATA_ATTR_5: { id: 'METADATA_ATTR_5' },
      METADATA_ATTR_6: { id: 'METADATA_ATTR_6' },
      METADATA_ATTR_7: { id: 'METADATA_ATTR_7' },
      METADATA_ATTR_8: { id: 'METADATA_ATTR_8' },
      METADATA_ATTR_9: { id: 'METADATA_ATTR_9' },
      METADATA_ATTR_10: { id: 'METADATA_ATTR_10' },
      METADATA_ATTR_11: { id: 'METADATA_ATTR_11' },
      METADATA_ATTR_12: { id: 'METADATA_ATTR_12' },
      METADATA_ATTR_13: { id: 'METADATA_ATTR_13' },
      METADATA_ATTR_14: { id: 'METADATA_ATTR_14' },
      METADATA_ATTR_15: { id: 'METADATA_ATTR_15' },
      METADATA_ATTR_16: { id: 'METADATA_ATTR_16' },
      METADATA_ATTR_17: { id: 'METADATA_ATTR_17' },
      METADATA_ATTR_18: { id: 'METADATA_ATTR_18' },
      METADATA_ATTR_19: { id: 'METADATA_ATTR_19' }
    }
    expect(parseMetadataSeries(metadataMock, { locale: 'en', display: 'both', dimensions, attributes })).to.deep.equal({
      ":::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v0', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v0', handlerProps: {} }
      ],
      "7:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v1', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v1', handlerProps: {} }
      ],
      "16:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v2', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v2', handlerProps: {} }
      ],
      "15:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v3', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v3', handlerProps: {} }
      ],
      "1:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v4', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v4', handlerProps: {} }
      ],
      "17:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v5', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v5', handlerProps: {} }
      ],
      "9:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v6', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v6', handlerProps: {} }
      ],
      "18:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v7', handlerProps: {}},
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v7', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v7', handlerProps: {} }
      ],
      "10:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v8', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v8', handlerProps: {} }
      ],
      "3:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v9', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v9', handlerProps: {} }
      ],
      "11:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v10', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v10', handlerProps: {} }
      ],
      "5:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v11', handlerProps: {}},
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v11', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v11', handlerProps: {} }
      ],
      "12:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v12', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v12', handlerProps: {} }
      ],
      "0:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v13', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v13', handlerProps: {} }
      ],
      "19:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v14', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v14', handlerProps: {} }
      ],
      "8:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v15', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v15', handlerProps: {} }
      ],
      "4:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v16', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v16', handlerProps: {} }
      ],
      "13:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v17', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v17', handlerProps: {} }
      ],
      "2:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v18', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v18', handlerProps: {} }
      ],
      "14:::": [
        { id: 'METADATA_ATTR_0', label: 'METADATA_ATTR_0: Metadata Attribute 0', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_1', label: 'METADATA_ATTR_1: Metadata Attribute 1', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_2', label: 'METADATA_ATTR_2: Metadata Attribute 2', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_3', label: 'METADATA_ATTR_3: Metadata Attribute 3', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_4', label: 'METADATA_ATTR_4: Metadata Attribute 4', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_5', label: 'METADATA_ATTR_5: Metadata Attribute 5', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_6', label: 'METADATA_ATTR_6: Metadata Attribute 6', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_7', label: 'METADATA_ATTR_7: Metadata Attribute 7', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_8', label: 'METADATA_ATTR_8: Metadata Attribute 8', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_9', label: 'METADATA_ATTR_9: Metadata Attribute 9', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_10', label: 'METADATA_ATTR_10: Metadata Attribute 10', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_11', label: 'METADATA_ATTR_11: Metadata Attribute 11', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_12', label: 'METADATA_ATTR_12: Metadata Attribute 12', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_13', label: 'METADATA_ATTR_13: Metadata Attribute 13', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_14', label: 'METADATA_ATTR_14: Metadata Attribute 14', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_15', label: 'METADATA_ATTR_15: Metadata Attribute 15', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_16', label: 'METADATA_ATTR_16: Metadata Attribute 16', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_17', label: 'METADATA_ATTR_17: Metadata Attribute 17', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_18', label: 'METADATA_ATTR_18: Metadata Attribute 18', value: 'v19', handlerProps: {} },
        { id: 'METADATA_ATTR_19', label: 'METADATA_ATTR_19: Metadata Attribute 19', value: 'v19', handlerProps: {} }
      ]
    })
  });
});
